org.wildfly.swarm.config.management

## Class LdapConnection<T extends LdapConnection<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.management.LdapConnection<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class LdapConnection<T extends LdapConnection<T>>
      extends HashMap

  A connection factory that can be used by a security realm to access an LDAP server as a source of authentication and authorization information.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LdapConnection.LdapConnectionResources` Child mutators for LdapConnection
    `static class` | `LdapConnection.Referrals`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LdapConnection(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `List<String>` | `handlesReferralsFor()` List of URLs that this connection handles referrals for.
    `T` | `handlesReferralsFor(List<String> value)` List of URLs that this connection handles referrals for.
    `T` | `handlesReferralsFor(String... args)` List of URLs that this connection handles referrals for.
    `T` | `handlesReferralsFor(String value)` List of URLs that this connection handles referrals for.
    `String` | `initialContextFactory()` The initial context factory to establish the LdapContext.
    `T` | `initialContextFactory(String value)` The initial context factory to establish the LdapContext.
    `T` | `properties(List<Property> value)` Add all Property objects to this subresource
    `T` | `property(Property value)` Add the Property object to the list of subresources
    `T` | `property(PropertySupplier supplier)` Install a supplied Property object to the list of subresources
    `T` | `property(String childKey)` Create and configure a Property object to the list of subresources
    `T` | `property(String childKey, PropertyConsumer consumer)` Create and configure a Property object to the list of subresources
    `LdapConnection.Referrals` | `referrals()` The referral handling mode for this connection.
    `T` | `referrals(LdapConnection.Referrals value)` The referral handling mode for this connection.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `searchCredential()` The credential to use when connecting to perform a search.
    `T` | `searchCredential(String value)` The credential to use when connecting to perform a search.
    `String` | `searchDn()` The distinguished name to use when connecting to the LDAP server to perform searches.
    `T` | `searchDn(String value)` The distinguished name to use when connecting to the LDAP server to perform searches.
    `String` | `securityRealm()` The security realm to reference to obtain a configured SSLContext to use when establishing the connection.
    `T` | `securityRealm(String value)` The security realm to reference to obtain a configured SSLContext to use when establishing the connection.
    `LdapConnection.LdapConnectionResources` | `subresources()`
    `String` | `url()` The URL to use to connect to the LDAP server.
    `T` | `url(String value)` The URL to use to connect to the LDAP server.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### LdapConnection

          public LdapConnection(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public LdapConnection.LdapConnectionResources subresources()

    - #### properties

          public T properties(List<Property> value)

      Add all Property objects to this subresource
      Parameters:
        `value` - List of Property objects.
      Returns:
        this

    - #### property

          public T property(Property value)

      Add the Property object to the list of subresources
      Parameters:
        `value` - The Property to add
      Returns:
        this

    - #### property

          public T property(String childKey,
                            PropertyConsumer consumer)

      Create and configure a Property object to the list of subresources
      Parameters:
        `key` - The key for the Property resource
        `config` - The PropertyConsumer to use
      Returns:
        this

    - #### property

          public T property(String childKey)

      Create and configure a Property object to the list of subresources
      Parameters:
        `key` - The key for the Property resource
      Returns:
        this

    - #### property

          public T property(PropertySupplier supplier)

      Install a supplied Property object to the list of subresources

    - #### handlesReferralsFor

          public List<String> handlesReferralsFor()

      List of URLs that this connection handles referrals for.

    - #### handlesReferralsFor

          public T handlesReferralsFor(List<String> value)

      List of URLs that this connection handles referrals for.

    - #### handlesReferralsFor

          public T handlesReferralsFor(String value)

      List of URLs that this connection handles referrals for.

    - #### handlesReferralsFor

          public T handlesReferralsFor(String... args)

      List of URLs that this connection handles referrals for.

    - #### initialContextFactory

          public String initialContextFactory()

      The initial context factory to establish the LdapContext.

    - #### initialContextFactory

          public T initialContextFactory(String value)

      The initial context factory to establish the LdapContext.

    - #### referrals

          public LdapConnection.Referrals referrals()

      The referral handling mode for this connection.

    - #### referrals

          public T referrals(LdapConnection.Referrals value)

      The referral handling mode for this connection.

    - #### searchCredential

          public String searchCredential()

      The credential to use when connecting to perform a search.

    - #### searchCredential

          public T searchCredential(String value)

      The credential to use when connecting to perform a search.

    - #### searchDn

          public String searchDn()

      The distinguished name to use when connecting to the LDAP server to perform searches.

    - #### searchDn

          public T searchDn(String value)

      The distinguished name to use when connecting to the LDAP server to perform searches.

    - #### securityRealm

          public String securityRealm()

      The security realm to reference to obtain a configured SSLContext to use when establishing the connection.

    - #### securityRealm

          public T securityRealm(String value)

      The security realm to reference to obtain a configured SSLContext to use when establishing the connection.

    - #### url

          public String url()

      The URL to use to connect to the LDAP server.

    - #### url

          public T url(String value)

      The URL to use to connect to the LDAP server.

Copyright © 2017 JBoss by Red Hat. All rights reserved.